Bug 170487 - Bad: kernel panic on boot (kernel-2.6.9-22.EL)
Bad: kernel panic on boot (kernel-2.6.9-22.EL)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: James Morris
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-12 05:41 EDT by Bohdan Sydor
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:22:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohdan Sydor 2005-10-12 05:41:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
The problem appeared on a kickstart instalation for GLS server1 configuration on a Asus L4000 laptop. 

After `up2date -u` new kernel packages were installed: 
kernel-2.6.9-22.EL, 
kernel-smp-2.6.9-22.EL,
kernel-devel-2.6.9-22.EL,
kernel-hugemem-devel-2.6.9-22.EL.

While booting from the new 2.6.9-22 kernel, it hangs with the following message:
Kernel panic - not syncing: Fatal exception

With the old kernel 2.6.9-5 evething works fine.

Version-Release number of selected component (if applicable):
kernel-2.6.9-22.EL, kernel-smp-2.6.9-22.EL

How reproducible:
Always

Steps to Reproduce:
1. Install the package kernel-2.6.9-22.EL
2. Boot the system from the new kernel
3. Kernel panic
  

Actual Results:  It is unable to boot the system from the kernel-2.6.9-22.EL or kernel-smp-2.6.9-22.EL

Additional info:
Comment 1 Jason Baron 2005-10-12 10:54:29 EDT
ok. to help narrow this down could you try the U1 kernel? 2.6.9-11.EL? Also, any
other bootup messages would be helpful. thanks.
Comment 2 Tomasz Kepczynski 2005-10-14 17:51:51 EDT
I had similar problem on network startup and when loading modules
for diva server card. I am quite positive that it has something to do with
selinux.
When loading capifs module with enforcing selinux kernel panics. When in
permissive mode I am able to load the module in question.
The same problem occurs on kernel-2.6.9-11.EL but with all other updates
in place (I've just updated to U2).
As far as I remember kernel panic info pointed to some filesystem operations.
Comment 3 Jason Baron 2005-10-17 10:43:25 EDT
ok. thanks. It would certainly be helpful if you could capture the panic. thanks.
Comment 4 Bohdan Sydor 2005-10-20 04:00:13 EDT
It doesn't work with the U1 kernel 2.6.9-11.EL either. You can see the screens
with bootup messages at: 
http://zes.econ.uj.edu.pl/~bohdan/redhat/
I also uploaded there the /etc/sysconfig/hwconf file which might be helpful.
Comment 5 James Morris 2005-10-20 11:07:01 EDT
I believe this is the capifs bug, which has a patch upstream and also in Fedora.

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166404

The patch needs to go into RHEL, but it can also be worked around in policy.
Comment 6 Daniel Walsh 2005-10-20 11:50:08 EDT
I will add policy to work around this bug in selinux-policy-targeted-1.17.30-2.117
Comment 10 Red Hat Bugzilla 2006-03-07 15:22:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.